OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000946OMNeT++simulation kernelpublic2016-02-19 13:312017-02-01 16:42
Reportertill 
Assigned Torhornig 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.0b3 
Target VersionFixed in Version5.1pre3 
Summary0000946: Namespace missing in __REGISTER_CONFIGOPTION(ID, ARGLIST) in regmacros.h
Description#define __REGISTER_CONFIGOPTION(ID, ARGLIST) \
  cConfigOption *ID; \
  EXECUTE_ON_STARTUP(omnetpp::configOptions.getInstance()->add(ID = new omnetpp::cConfigOption ARGLIST);)

should be
#define __REGISTER_CONFIGOPTION(ID, ARGLIST) \
  omnetpp::cConfigOption *ID; \
  EXECUTE_ON_STARTUP(omnetpp::configOptions.getInstance()->add(ID = new omnetpp::cConfigOption ARGLIST);)
Additional InformationPatch attached! There are probably more places where the new omnetpp namespace is missing!

Can I vote again for an omnetpp git repository? It must not be up to date (would be sufficient to push only the betas there!) Would be much easier to branch and patch there and propose a pull request
TagsNo tags attached.
Attached Filespatch file icon regmacros.h.patch [^] (364 bytes) 2016-02-19 13:31 [Show Content]

- Relationships

-  Notes
(0001164)
rhornig (administrator)
2016-02-22 12:56

Merged into master.
(0001165)
till (reporter)
2016-02-24 15:41

Sorry for bringing that up again! Could you also add a "static" in front of that line?
(0001176)
rhornig (administrator)
2016-03-04 12:05
edited on: 2016-03-04 12:05

Putting static there results in build errors. Why do you need it to be local to the compilation unit?

(0001177)
till (reporter)
2016-03-04 13:09

Sorry, I had to reopen to answer:
clang gives a warning:
no previous extern declaration for non-static variable 'CFGID_EVENTLOG_TLOG_FILE' [-Wmissing-variable-declarations]

If you need that to be not static (I understand that, I had not thought about config options being shared by several modules) we can keep it like that and I have to add extern omnetpp::cConfigOption * in my header files (what is fine I think). The cleaner solution would probably be to not share the Options by using externs, but by retrieving them using their ID for example. I guess that is a change that requires a bit too much effort right now?
(0001301)
andras (administrator)
2017-02-01 16:42

Original issue "Namespace missing" has been fixed, please open another ticket(s) if there are additional issues.

- Issue History
Date Modified Username Field Change
2016-02-19 13:31 till New Issue
2016-02-19 13:31 till File Added: regmacros.h.patch
2016-02-22 12:56 rhornig Note Added: 0001164
2016-02-22 12:56 rhornig Status new => resolved
2016-02-22 12:56 rhornig Fixed in Version => 5.0
2016-02-22 12:56 rhornig Resolution open => fixed
2016-02-22 12:56 rhornig Assigned To => rhornig
2016-02-24 15:41 till Note Added: 0001165
2016-02-24 15:41 till Status resolved => feedback
2016-02-24 15:41 till Resolution fixed => reopened
2016-03-04 10:08 rhornig Note Added: 0001167
2016-03-04 10:08 rhornig Status feedback => resolved
2016-03-04 10:08 rhornig Resolution reopened => fixed
2016-03-04 12:02 rhornig Note Deleted: 0001167
2016-03-04 12:05 rhornig Note Added: 0001176
2016-03-04 12:05 rhornig Note Edited: 0001176 View Revisions
2016-03-04 13:09 till Note Added: 0001177
2016-03-04 13:09 till Status resolved => feedback
2016-03-04 13:09 till Resolution fixed => reopened
2017-02-01 16:42 andras Note Added: 0001301
2017-02-01 16:42 andras Status feedback => resolved
2017-02-01 16:42 andras Fixed in Version 5.0 => 5.1pre3
2017-02-01 16:42 andras Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker